> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get layout



## OpenAPI

````yaml get /v1/layouts/{id}
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/layouts/{id}:
    get:
      summary: Get layout
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LayoutResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    LayoutResponse:
      type: object
      properties:
        id:
          type: string
        blocks:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              block_id:
                type:
                  - string
                  - 'null'
              component_id:
                type:
                  - string
                  - 'null'
              container_id:
                type:
                  - string
                  - 'null'
              order:
                type:
                  - number
                  - 'null'
            additionalProperties: {}
      required:
        - id
      additionalProperties: {}
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````